git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[kolla] How can I change package version when building the image?


Hi,

I'm using stable/rocky from git now, but I want to build the prometheus
images with latest version since there're few exporters that too previous
that can't use most Grafana dashboards in default.

I already know I have to edit templates in kolla-ansible since the newer
exporters has using the different launch commands. But Idk how to set the
version because the document didn't say how to override the Dockerfile. Is
that OK to change package version inside Dockerfile?

Many thanks,
Eddie.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstack.org/pipermail/openstack-discuss/attachments/20190628/294da1d4/attachment.html>